Company:
  properties:
    ID:
      description: Company Id
      type: string
    AccountNumber:
      description: Company Number
      type: string
    AccountSource:
      description: The marketing origin of this Company
      type: string
    Active:
      type: integer
    AnnualRevenue:
      description: Annual Revenue Estimate
      format: double
      type: number
    ListingAddress:
      $ref: "./address.yaml#/Address"
    CloudRevenueTotal:
      type: number
    CloudType:
      description: The type of cloud company
      type: string
    CloudYear:
      description: The year company started cloud revenue
      type: string
    Description:
      description: Description of the Company
      type: string
    EarningsCall:
      description: Earnings Call Date
      type: string
    Email:
      description: Main Company Email
      type: string
    EquityFunding:
      description: The amount of equity EquityFunding
      type: number
    Facebook:
      description: Company Facebook URL
      type: string
    Fax:
      description: Fax number
      type: string
    FoundedDate:
      description: Date company founded
      type: string
    IPODate:
      description: IPO Date
      type: string
    ImageAltText:
      type: string
    ImageURL:
      type: string
    Industries:
      description: Industries
      type: string
    Industry:
      description: Industry
      type: string
    LinkedIn:
      description: Company LinkedIn URL
      type: string
    Location:
      description: Headquarters Location Description
      type: string
    Logo:
      description: Company Logo URL
      type: string
    MarketCapitalization:
      description: Market Capitalization
      type: number
    Name:
      description: Company Name
      type: string
    NumberInvestments:
      description: Number of Investments
      type: number
    NumberOfEmployees:
      description: Employee Count Estimate
      format: int64
      type: number
    Ownership:
      description: Ownership
      type: string
    ParentID:
      description: Parent Company
      type: string
    Phone:
      description: Phone
      type: string
    Publish:
      description: Publish this record?
      type: boolean
    SalesforceFirst:
      description: A Salesforce-First company?
      type: boolean
    Slug:
      description: Slug
      type: string
    TagLine:
      description: Company tagline
      type: string
    TickerSymbol:
      description: Ticker Symbol
      type: string
    Twitter:
      description: Twitter URL
      type: string
    Type:
      description: Type
      type: string
    Website:
      description: Website
      type: string
    YearStarted:
      description: Year Started
      type: string
    CompanyProducts:
      description: Company Products
      type: array
      items:
        $ref: "./company-product.yaml#/CompanyProduct"
    FinancialStatements:
      description: Financial Statements
      type: array
      items:
        $ref: "./financial-statement.yaml#/FinancialStatement"
    IndustryCompanies:
      description: Similar Companies
      type: array
      items:
        $ref: "./industry-company.yaml#/IndustryCompany"
  type: object
